<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <style>

        .leaflet-container {  /* all maps */
            width:  600px;
            height: 400px;
        }
    
        #specialbigmap {
            height: 800px;
        }
    
        /* Resize the "display_raw" textbox */
        .django-leaflet-raw-textarea {
            width: 100%;
        }
    
    </style>
    <title>Document</title>

   <!-- {% load leaflet_tags %}
    {% leaflet_js %}
    {% leaflet_css %} -->
    <section id="map" class="pb-10">
        <div class="lg:w-full lg:mt-0 mt-4 m-auto">
            {% leaflet_js %}
            {% leaflet_css %}
            {% leaflet_map "gis" callback="map_init" %}
            <style type="text/css">#gis{ height: 40%; z-index: 0}</style>
        </div>
    </section>
</head>
<body>
    <script>
        // function map_init_basic (map, options) {
            
        //     L.marker([19.23831711381191, 42.44057463210895]).addTo(map);
            
        // }

        function map_init(map, options){
        map.setView([ 42.44057463210895, 19.23831711381191]);
        L.marker([42.44057463210895, 19.23831711381191]).addTo(map);  }
    </script>
    
    <!--{% leaflet_map "my_map" callback="window.map_init_basic" %}-->
    
    <!--{% leaflet_map "my_map" %}-->
</body>
</html>